diff -urN src.orig/left_main.php src/left_main.php
--- src.orig/left_main.php	Sat Feb  4 00:27:55 2006
+++ src/left_main.php	Sat May 13 23:51:53 2006
@@ -343,6 +343,26 @@
 
 echo "\n<body bgcolor=\"$color[3]\" text=\"$color[6]\" link=\"$color[6]\" vlink=\"$color[6]\" alink=\"$color[6]\">\n";
 
+require_once(SM_PATH . 'functions/strings.php');
+require_once(SM_PATH . 'config/config.php');
+require_once(SM_PATH . 'functions/prefs.php');
+    if (isset($identity) && $identity != 'default') {
+        $from_mail = getPref($data_dir, $username,
+                             'email_address' . $identity);
+        $full_name = getPref($data_dir, $username,
+                             'full_name' . $identity);
+        $from_addr = '"'.$full_name.'" <'.$from_mail.'>';
+        $reply_to  = getPref($data_dir, $username,
+                             'reply_to' . $identity);
+    } else {
+        $from_mail = getPref($data_dir, $username, 'email_address');
+        $full_name = getPref($data_dir, $username, 'full_name');
+        $from_addr = '"'.$full_name.'" <'.$from_mail.'>';
+        $reply_to  = getPref($data_dir, $username,'reply_to');
+    }
+if (!$from_mail) $from_mail = $username;
+echo(htmlspecialchars("$full_name <$from_mail>")."<br><br>");
+
 do_hook('left_main_before');
 
 echo "\n\n" . html_tag( 'table', '', 'left', '', 'border="0" cellspacing="0" cellpadding="0" width="99%"' ) .
@@ -470,4 +490,4 @@
 
 ?>
 </td></tr></table>
-</body></html>
\ No newline at end of file
+</body></html>
